You can do a checkout on creation if you add one of the following fields: assigned_user, assigned_asset, or assigned_location. This should be a valid primary key of the user, asset or location you wish to checkout to.
To update the values of custom fields, use the DB Field Name value in your Settings > Custom Fields for the field you want to update. Use the name of the custom field in the Fields input of the action.If you don’t see that column, be sure to use the column selector to un-hide it
Basic Parameters
| Parameter | Description |
|---|
| Asset Tag | The asset’s tag.If auto-incrementing is enabled in the settings, this is not required and will be generated. |
| Model ID | Valid model ID. Obtained via the “List Models” action. |
| Name | Asset name. |
| Status ID | Valid status ID. Obtained via the “List Statuses” action. |
Advanced Parameters
| Parameter | Description |
|---|
| Fields | The list of parameters to add to the object.For a full list, view the Snipe-IT documentation underthe BODY PARAMS section. |
Example Output
{ "status": "success", "messages": "Asset created successfully. :)", "payload": { "model_id": 1, "name": "150bcd0a-f4e1-4a4b-a2d2-d40ba06df745", "serial": null, "company_id": null, "order_number": null, "notes": null, "asset_tag": "LKL-IT-03-1325117", "user_id": 1, "archived": "0", "physical": "1", "depreciate": "0", "status_id": 1, "warranty_months": null, "purchase_cost": null, "purchase_date": null, "assigned_to": null, "supplier_id": null, "requestable": 0, "rtd_location_id": null, "location_id": null, "updated_at": "2023-02-23T14:28:54.000000Z", "created_at": "2023-02-23T14:28:54.000000Z", "id": 1, "model": { "id": 1, "name": "Macbook Pro 13\"", "model_number": "5292447097822323", "manufacturer_id": null, "category_id": 1, "created_at": "2023-02-23T13:42:05.000000Z", "updated_at": "2023-02-23T13:42:05.000000Z", "depreciation_id": 1, "eol": 36, "image": "mbp.jpg", "deprecated_mac_address": 0, "fieldset_id": 2, "notes": "Created by demo seeder", "requestable": 0 } }}
Workflow Library Example
Create Hardware with Snipe It and Send Results Via Email